<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~
  ~      Copyright (c) 2018-2025, hnqz All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: hnqz
  ~
  -->

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.qunzhixinxi</groupId>
		<artifactId>hnqz-upms</artifactId>
		<version>3.9.0</version>
	</parent>

	<artifactId>hnqz-upms-biz</artifactId>
	<packaging>jar</packaging>

	<description>hnqz 通用用户权限管理系统业务处理模块</description>

	<dependencies>
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-sequence</artifactId>
		</dependency>
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-mq</artifactId>
		</dependency>
		<!--upms api、model 模块-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-upms-api</artifactId>
		</dependency>
		<!--日志处理-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-log</artifactId>
		</dependency>
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-data</artifactId>
		</dependency>
		<!--swagger-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-swagger</artifactId>
		</dependency>
		<!--文件系统-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-oss</artifactId>
		</dependency>
		<!--人力家-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-ding</artifactId>
		</dependency>
		<!--税邦云-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-taxhelper</artifactId>
		</dependency>
		<!--企查查-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-qcc</artifactId>
		</dependency>
		<!--注册中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
		</dependency>
		<!--配置中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
		</dependency>
		<!--spring security 、oauth、jwt依赖-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-security</artifactId>
		</dependency>
		<!--支持动态路由配置 -->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-gateway</artifactId>
		</dependency>
		<!--sentinel 依赖-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-sentinel</artifactId>
		</dependency>
		<!--路由控制-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-gray</artifactId>
		</dependency>
		<!--mybatis-->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<!-- druid 连接池 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>
		<!--数据库-->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!--web 模块-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!--undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>

		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>core</artifactId>
			<version>3.3.0</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>javase</artifactId>
			<version>3.3.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>5.2.7.RELEASE</version>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>com.pig4cloud.excel</groupId>
			<artifactId>excel-spring-boot-starter</artifactId>
			<version>0.4.1</version>
		</dependency>

		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-core</artifactId>
			<version>4.5.1</version>
		</dependency>

		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-dysmsapi</artifactId>
			<version>1.1.0</version>
		</dependency>

		<!-- Excel导入导出 -->
		<dependency>
			<groupId>net.fenghaitao</groupId>
			<artifactId>auto-excel</artifactId>
			<version>2.0.0</version>
		</dependency>

		<dependency>
			<groupId>com.deepoove</groupId>
			<artifactId>poi-tl</artifactId>
			<version>1.8.2</version>
		</dependency>

		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>4.1.2</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml-schemas</artifactId>
			<version>4.1.2</version>
		</dependency>


		<!-- https://mvnrepository.com/artifact/org.seleniumhq.selenium/selenium-java -->
		<dependency>
			<groupId>org.seleniumhq.selenium</groupId>
			<artifactId>selenium-java</artifactId>
			<version>4.0.0-alpha-6</version>
		</dependency>



		<!-- https://mvnrepository.com/artifact/com.codeborne/phantomjsdriver -->
		<dependency>
			<groupId>com.codeborne</groupId>
			<artifactId>phantomjsdriver</artifactId>
			<version>1.4.4</version>
		</dependency>


		<!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>29.0-jre</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/io.webfolder/cdp4j -->
		<dependency>
			<groupId>io.webfolder</groupId>
			<artifactId>cdp4j</artifactId>
			<version>3.0.15</version>
		</dependency>


		<dependency>
			<groupId>ru.yandex.qatools.ashot</groupId>
			<artifactId>ashot</artifactId>
			<version>1.5.4</version>
		</dependency>
		<dependency>
			<groupId>com.sun.mail</groupId>
			<artifactId>javax.mail</artifactId>
			<version>1.6.2</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-test</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>

		<!-- 重试机制 -->
		<dependency>
			<groupId>org.springframework.retry</groupId>
			<artifactId>spring-retry</artifactId>
			<version>1.2.4.RELEASE</version>
		</dependency>

		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjweaver</artifactId>
			<version>1.9.4</version>
		</dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.7.7</version>
            <scope>compile</scope>
        </dependency>

    </dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.fabric8</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<configuration>
					<skip>false</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
